[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_crwapi' (#crwlib)

# IDoubleVectorWrap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_crwapi.pas line 1206

`type IDoubleVectorWrap = interface(IPluginWrap)`
`procedure Lock;`
`procedure UnLock;`
`function GetLength;`
`procedure SetLength();`
`function GetOrigin;`
`procedure SetOrigin();`
`function GetExceptions;`
`procedure SetExceptions();`
`function GetItem();`
`procedure SetItem();`
`function GetItemPtr();`
`property Length: LongInt; [rw]`
`property Origin: LongInt; [rw]`
`property Exceptions: Boolean; [rw]`
`property Item []: Double; default; [rw]`
`property ItemPtr []: PDouble; [r]`
`end;`

## Inheritance

`IDoubleVectorWrap`
`IPluginWrap`
`IUnknown`
?